Skip to content

Patch event ​

PATCH
/v1/events/{event_id}

Partially update event

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

event_id*

XS2event ID of the Event

Type
string
Required

Request Body​

application/json
JSON
{
  
"event_startdate": "2026-09-15T19:30:00",
  
"event_stopdate": "2026-09-15T21:15:00",
  
"event_name": "Team A vs Team B",
  
"event_status": "notstarted",
  
"tournament_id": "6652b082b6d64e92af2794fb1e352e86_trn",
  
"venue_id": "7552e5ca74124757be3f4b0dc1687aa9_vnx",
  
"date_confirmed": true,
  
"external_event_id": "1bd7a5f6c9a34b2284de90f87a65c3d2_ext",
  
"sport_type": "soccer",
  
"hometeam_id": "3eae14a18975444a8af9d35f4e978f0e_tms",
  
"visiting_id": "12c3564d227044f4a22ea29b3fe806fa_tms",
  
"is_popular": false,
  
"main_event_startdate": "2026-09-15T19:30:00",
  
"main_event_stopdate": "2026-09-15T21:15:00",
  
"event_description": "Description of the event",
  
"date_visibility": "show_datetime"
}

Responses​

No Content

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​